include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${LIBUSB_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### libapogee_ISA (static)

tde_add_library( libapogee_ISA STATIC_PIC

  SOURCES
        CameraIO_Linux.cpp
        CameraIO_LinuxISA.cpp 
)


##### libapogee_PCI (static)

tde_add_library( libapogee_PCI STATIC_PIC

  SOURCES
        CameraIO_Linux.cpp
        CameraIO_LinuxPCI.cpp 
)


##### libapogee_PPI (static)

tde_add_library( libapogee_PPI STATIC_PIC

  SOURCES
        CameraIO_Linux.cpp
        CameraIO_LinuxPPI.cpp 
)


##### libapogee_USB ( static )

if( WITH_LIBUSB )

tde_add_library( libapogee_USB STATIC_PIC

  SOURCES
        ApnCamData.cpp
        ApnCamData_CCD3011HS.cpp
        ApnCamData_CCD3011LS.cpp
        ApnCamData_CCD4240HS.cpp
        ApnCamData_CCD4240LS.cpp
        ApnCamData_CCD4710HS.cpp
        ApnCamData_CCD4710LS.cpp
        ApnCamData_CCD4710LS2.cpp
        ApnCamData_CCD4710LS3.cpp
        ApnCamData_CCD4710LS4.cpp
        ApnCamData_CCD4710LS5.cpp
        ApnCamData_CCD4720HS.cpp
        ApnCamData_CCD4720LS.cpp
        ApnCamData_CCD5520HS.cpp
        ApnCamData_CCD5520LS.cpp
        ApnCamData_CCD5710HS.cpp
        ApnCamData_CCD5710LS.cpp
        ApnCamData_CCD7700HS.cpp
        ApnCamData_CCD7700LS.cpp
        ApnCamData_KAF0261E.cpp
        ApnCamData_KAF0401E.cpp
        ApnCamData_KAF1001E.cpp
        ApnCamData_KAF1301E.cpp
        ApnCamData_KAF1401E.cpp
        ApnCamData_KAF3200E.cpp
        ApnCamData_KAF4202.cpp
        ApnCamData_KAF1602E.cpp
        ApnCamData_KAF16801E.cpp
        ApnCamData_KAF6303E.cpp
        ApnCamData_TH7899.cpp
        ApnCamTable.cpp
        ApnCamera.cpp
        ApnCamera_USB.cpp
        ApnCamera_Linux.cpp
        ApogeeUsbLinux.cpp
  LINK
     ${LIBUSB_LIBRARIES}
)

endif( WITH_LIBUSB )
